Bug 69149 - Installer displays error probably bug and asks for it to be reported
Installer displays error probably bug and asks for it to be reported
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.0
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-18 07:16 EDT by Dick Marjanovic
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-19 14:54:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dick Marjanovic 2002-07-18 07:16:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98)

Description of problem:
Attempting a partitionless install on hdc which has a single FAT32 partition on 
it.  Distribution is from "Red Hat Linux 7 for Dummies".  Installer displays 
the following error after moving on from Disk Druid...
Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 336, in run
    self.icw.run ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 678, in run
    mainloop ()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 2554, in mainloop
    _gtk.gtk_main()
  File "/usr/lib/python1.5/site-packages/gtk.py", line 125, in __call__
    ret = apply(self.func, a)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 428, in 
nextClicked
    self.setScreen (self.currentScreen, self.nextClicked)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/gui.py", line 466, in 
setScreen
    new_screen = screen.getScreen ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/rootpartition_gui.py", 
line 133, in getScreen
    avail = apply(isys.spaceAvailable, self.todo.fstab.getRootDevice())
  File "/usr/lib/anaconda/isys.py", line 10, in spaceAvailable
    mount(device, "/mnt/space", fstype = fsystem)
  File "/usr/lib/anaconda/isys.py", line 99, in mount
    rc = _isys.mount(fstype, device, location, readOnly)
SystemError: (22, 'Invalid argument')

Local variables in innermost frame:
fstype: vfat
location: /mnt/space
devName: /tmp/hdc1
readOnly: 0
device: /tmp/hdc1

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Follow install instructions
2.Add root partition to hdc
3.
	

Actual Results:  Dialog box says something like "An error has occurred 
(probably a bug) please report to http://bugzilla.redhat.com/bugzilla"
There is then the option to save the script to disk

Expected Results:  Should contunue with installation

Additional info:
Comment 1 Jeremy Katz 2002-07-19 16:04:53 EDT
This is fixed in the update disk available at
ftp://ftp.redhat.com/pub/redhat/linux/updates/7.0/en/os/images/i386/update-disk-20001009.img
as well as more current releases of Red Hat Linux.

Note You need to log in before you can comment on or make changes to this bug.